{% extends "main/pjax_base.html" %}

{% load static %}

{% block title %}
    {{ object.name }}
{% endblock %}

{% block pjax_content %}
    <div class="container section">
        <div class="row">
            <div class="col-md-4 track-poster-container">
                <img src="{{ object.poster.url }}" style="width: 100%">
                <div class="track-statistic">
                    <div class="parameter">
                        <i class="fa fa-heart"></i> {{ object.number_of_likes }}
                    </div>
                    <div class="parameter">
                        <i class="fa fa-play"></i> {{ object.number_of_listens }}
                    </div>
                    <div class="parameter" style="margin: 0">
                        <i class="fa fa-comment"></i> 256
                    </div>
                </div>
            </div>
            <div class="col-md-8 track-info">
                <h1>{{ object.name }}</h1>
                <h5 style="color: #D32F2F">
                    <a href="{% url 'artist-profile' username=object.user.username %}" class="inherit-link" data-pjax>
                        {{ object.user.pseudonym }}
                    </a>
                    {% if object.user.is_verified %}
                        <i class="fa fa-check-circle verified" aria-hidden="true"></i>
                    {% endif %}
                </h5>
                <div class="description">
                    {% if object.description %}
                        <div>
                            {{ object.description|linebreaks }}
                        </div>
                    {% endif %}
                    <div class="added-date">
                        Added on {{ object.get_formatted_created_data }}
                    </div>
                    <div style="display: none" data-track-id="{{ object.id }}" data-track-title="{{ object.name }}"
                         data-track-artist="{{ object.user.pseudonym }}" data-track-poster="{{ object.poster.url }}"
                         data-track-audio="{{ object.audio.url }}"></div>
                    <a href="" class="btn main-btn-dark" id="initializer-{{ object.id }}"
                       onclick="return playStopPlayer(this);">
                        <i class="fa fa-play control-audio-icon"></i> <span>Play</span>
                    </a>
                    {% if user.is_authenticated %}
                        {% if isLiked %}
                            <a href="#" class="btn btn-liked">
                                <i class="fa fa-heart"></i> Liked
                            </a>
                        {% else %}
                            <a href="" class="btn main-btn" onclick="return like_track({{ object.id }}, this)" id="like-btn">
                                <i class="fa fa-heart"></i> <span class="text">Like</span>
                            </a>
                        {% endif %}
                    {% endif %}
                    <a href="" class="btn btn-basic" id="addtrack-{{ object.id }}" onclick="return addToPlaylist(this)">
                        <i class="fa fa-list"></i> Add to list
                    </a>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 section">
                <h3>Comments</h3>
                <form class="form section">
                    <div class="form-group">
                        <textarea placeholder="Your comment" class="form-control"></textarea>
                    </div>
                    <div class="text-right">
                        <input type="submit" class="btn " value="Publish">
                    </div>
                </form>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 section">
                <div class="comment">
                    <div class="avatar-mini" style="background-image: url(https://i1.sndcdn.com/artworks-000233579913-umyfy6-t500x500.jpg)"></div>
                    <div class="info">
                        kalim.iskn
                        <span class="date">18.03.2020</span>
                    </div>
                    <div class="text">
                        <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Ad aut dicta dolor, doloribus eius esse exercitationem facere laborum,
                            molestias nostrum nulla perferendis quae quibusdam quod ratione recusandae,
                            sapiente sequi voluptate!
                        </div>
                        <div>
                            Alias aperiam assumenda aut consequatur cumque distinctio eligendi error expedita harum
                            impedit, ipsum iure molestiae natus necessitatibus nihil nostrum numquam, obcaecati officiis
                            quae repudiandae saepe sit ullam veniam? Amet, nisi?
                        </div>
                    </div>
                </div>
                <div class="comment">
                    <div class="avatar-mini" style="background-image: url(https://i1.sndcdn.com/artworks-000233579913-umyfy6-t500x500.jpg)"></div>
                    <div class="info">
                        kalim.iskn
                        <span class="date">18.03.2020</span>
                    </div>
                    <div class="text">
                        <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Ad aut dicta dolor, doloribus eius esse exercitationem facere laborum,
                            molestias nostrum nulla perferendis quae quibusdam quod ratione recusandae,
                            sapiente sequi voluptate!
                        </div>
                        <div>
                            Alias aperiam assumenda aut consequatur cumque distinctio eligendi error expedita harum
                            impedit, ipsum iure molestiae natus necessitatibus nihil nostrum numquam, obcaecati officiis
                            quae repudiandae saepe sit ullam veniam? Amet, nisi?
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
